

/* If file is unsaved, you will have to press
 * Ctrl-q the number of times indicated here
 * to quit without saving
 */
#define UNSAVED_QUIT_COUNT 1

// Set global tab width for the editor here
static const int tabwidth = 4;

// Enable use of the "alternate screen" in the terminal
static const int use_alternate_screen = 1; // use as bool

/* 
 * Values from 1 to 256 representing 256 color/8-bit pallate
 * see: https://en.wikipedia.org/wiki/ANSI_escape_code#8-bit
 */
static const unsigned int EDITOR_BG_COLOR    = 235;
static const unsigned int VISUAL_BG_COLOR    = 69;
static const unsigned int HL_NUMBER_COLOR    = 207;
static const unsigned int HL_STRING_COLOR    = 116;
static const unsigned int HL_COMMENT_COLOR   = 243;
static const unsigned int HL_KEYWORD1_COLOR  =  69;
static const unsigned int HL_KEYWORD2_COLOR  = 167;
static const unsigned int HL_DEFAULT_COLOR   = 229; 
